Welcome! Log In Create A New Profile

Advanced

packages built for Ubuntu 18.04

Zeev Tarantov
June 18, 2019 02:18PM
The openssl package for Ubuntu 18.04 (bionic) was recently upgraded to
openssl 1.1.1 with TLS 1.3 support, but the nginx binary provided in the
apt package repository http://nginx.org/packages/ubuntu was compiled with
openssl 1.1.0 and does not support TLS 1.3 even when system openssl is
1.1.1.

(The above is my understanding of why it doesn't support TLS 1.3, for
example from this post
https://mailman.nginx.org/pipermail/nginx/2019-January/057402.html)

Can the 1.6.0 package in the repo for Ubuntu 18.04 be rebuilt with TLS 1.3
support? Or at least, can we make sure 1.6.1 support TLS 1.3, when it is
released?
_______________________________________________
nginx mailing list
nginx@nginx.org
http://mailman.nginx.org/mailman/listinfo/nginx
Subject Author Posted

packages built for Ubuntu 18.04

Zeev Tarantov June 18, 2019 02:18PM

Re: packages built for Ubuntu 18.04

jeffdyke June 18, 2019 03:56PM



Sorry, only registered users may post in this forum.

Click here to login

Online Users

Guests: 62
Record Number of Users: 6 on February 13, 2018
Record Number of Guests: 421 on December 02, 2018
Powered by nginx      Powered by FreeBSD      PHP Powered      Powered by MariaDB      ipv6 ready